/* override c7 styles */
body {
	--c7-field-border-radius: 15px; 
	--c7-button-border-radius: 15px; 
	--c7-modal-border-radius: 15px;
	--c7-primary-button-bg: #9ba35b;
	--c7-primary-button-bg-hover:#fff;
	--c7-primary-button-text-color: #fff;
	--c7-heading-font-family: "Addington CF Medium", Verdana, Arial, sans-serif;
	--c7-heading-font-weight: 500;
	--c7-font-family: inherit;
	--c7-body-text-color: #000;
	--c7-link-color:#000;
	--c7-field-option-selected-color: #9ba35b;
	--c7-field-option-focus-color: #9ba35b;
}

/* account header */
#account-header {
	display: inline-flex;
	width: 100%;
	justify-content: end;
	position: absolute;
	z-index: 10000;
	padding: 5px;
}

header.fl-builder-content {
	top: 30px;
}

body header.fl-builder-content .pp-modal-button .pp-modal-trigger {
	padding-top: 5px;
}
/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

#account-header #c7-account {
	padding-right: 10px;
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	color:#fff;
	text-transform: uppercase;
	padding:0px;
}
#c7-account .c7-user-nav__account__dropdown a {
	color: var(--c7-body-text-color);
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
body .c7-user-nav__account__name svg {
	stroke: #fff;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#fff;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #9ba35b;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}
/* Overall styling */

/* button styles */
body .c7-btn {
	font-family: "Montserrat", sans-serif;
	font-weight: 700;
	text-transform: uppercase!important;
	background-color: #9ba35b!important;
	border: none !important;
	color: #fff;
	display: flex;
	justify-content: center;
	align-items: center;
}
body .c7-btn:hover, body .c7-cart__buttons .c7-btn:hover {
	background-color: #79462b!important;
	color: #fff;	
}


/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}

body .c7-order-item__title,
body .c7-order-item__title a {
	font-family: var(--c7-heading-font-family);
	font-size: 20px;
	line-height: 1.2;
	color: #000;
}

body .c7-product__title {
	font-size: 42px;	
	line-height: 1.2;
}

body .c7-account-block__title {
	font-family: var(--c7-heading-font-family);	
}

/* shrink checkout buttons */
body .c7-order-summary__buttons a {
	font-size: 14px;
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}


/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

.c7-hero {
	display: block;
	width: 100%;
	height: 300px;
	background-image: url("/wp-content/uploads/2022/10/20220922_girls_night_out_winery_0433.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

#c7-content h1.c7-h1 {
	text-align: center;
}

/* collection styling */
.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}

/* filter */
#c7-collection-list ul {
	display: flex;
	justify-content: center;
	flex-wrap: wrap;	
	gap: 40px 20px;
	padding: 30px 0 20px;
}

#c7-collection-list ul li:hover {
	opacity: .8;
}

#c7-collection-list ul li a {
	border: 3px dashed #9ba35b;
	border-radius: 30px;
	padding: 10px 25px;
	color: #333;	
}

#c7-collection-list ul li a:hover {
	text-decoration: none;
}

/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}

/* newsletter */
.c7-subscribe.footer-form .c7-form__field {
	margin-bottom: 0;
}

.c7-subscribe.footer-form .c7-form__field label {
	display: none;
}

footer .fl-module-subscribe-form {
	display: none!important;
}


/* mobile overrides */
@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 

	.c7-subscribe.footer-form .c7-form__group {
		flex-direction: column;
		gap: 10px;
	}

	.c7-subscribe.footer-form .c7-form__group .c7-form__field + button {
		width: 100%;
		margin-left: 0 !important;
	}
}

@media screen and (max-width: 767px){

	/* mobile header position */
	#account-header {
		top: 0px;
	}

	/* one column on mobile */
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}
}

@media screen and (min-width: 481px) {
	.c7-subscribe.footer-form .c7-form__group .c7-form__field + button {
		margin: 0 0 0 10px;
	}
}